Groovy 1.7.0

## groovy.inspect.swingui
Class AstBrowser

    java.lang.Object
      groovy.inspect.swingui.AstBrowser

    class AstBrowser
    extends Object

This object is a GUI for looking at the AST that Groovy generates. Usage: java groovy.inspect.swingui.AstBrowser [filename] where [filename] is an existing Groovy script.

author:
  Hamlet D'Arcy (hamletdrc@gmail.com)

author:
  Guillaume Laforge, highlighting the code corresponding to a node selected in the tree view

Property Summary
`GroovyClassLoader` | `classLoader`
`def` | `frame`
`boolean` | `showScriptClass`
`boolean` | `showScriptFreeForm`
`def` | `swing`

Constructor Summary
`AstBrowser(def inputArea, def rootElement, def classLoader)`

Method Summary
`void` | `compile(def node, def swing, String script, int compilePhase)`
`static void` | `main(def args)`
`void` | `run(Closure script)`
`void` | `run(Closure script, String name)`
`void` | `showAbout(EventObject evt)`
`void` | `showScriptClass(EventObject evt)`
`void` | `showScriptFreeForm(EventObject evt)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### classLoader

    GroovyClassLoader classLoader

### frame

    def frame

### showScriptClass

    boolean showScriptClass

### showScriptFreeForm

    boolean showScriptFreeForm

### swing

    def swing

Constructor Detail

### AstBrowser

    public AstBrowser(def inputArea, def rootElement, def classLoader)

Method Detail

### compile

    void compile(def node, def swing, String script, int compilePhase)

### main

    public static void main(def args)

### run

    void run(Closure script)

### run

    void run(Closure script, String name)

### showAbout

    void showAbout(EventObject evt)

### showScriptClass

    void showScriptClass(EventObject evt)

### showScriptFreeForm

    void showScriptFreeForm(EventObject evt)

Copyright © 2003-2009 The Codehaus. All rights reserved.